<script setup>
import axios, {isAxiosError} from "axios";
import {ref} from "vue";

const jokeValue = ref('')
const showGeneralErrorAlert = ref(false)
const showUserInputErrorAlert = ref(false)

async function showAlert() {
  showGeneralErrorAlert.value = false
  showUserInputErrorAlert.value = false

  try {
    const result = await axios.get('https://api.chucknorris.io/jokes/random/')
    jokeValue.value = result.data.value
    console.log("hallo welt")
    console.log(result.data.value)
  } catch (err) {
    console.warn(err)
    if(isAxiosError(err) && err.response.status === 400) {
      showUserInputErrorAlert.value = true
    } else {
      showGeneralErrorAlert.value = true
    }
  }
  return "hallo"
}

function dings() {
  const result = showAlert()
  console.log(result)
}


</script>

<template>
  <div class="d-flex justify-content-between">
    <h1>Header</h1>
    <p>{{jokeValue}}</p>
    <div class="alert alert-danger" v-if="showGeneralErrorAlert">
      <p>Ein Fehler ist beim Laden des Chuck-Norris-Calls aufgetreten</p>
      <button class="btn btn-danger" @click="showGeneralErrorAlert=false">ok</button>
    </div>
    <div>
      <router-link to="/">Home</router-link>
      <router-link to="/persons">Persons</router-link>
      <button @click="dings">Klick mich</button>
    </div>
  </div>
  <router-view/>
  <h1>Footer</h1>
</template>
